=== debian/changelog ===
redeclipse (1.2-2ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE:
    Game maps can in cube2-engine games be transmitted either from server
    to client or from client to client, which includes a config file
    (mapname.cfg) which is in "cubescript" format, this makes it possible
    for an attacker to send a malign script via a new map (which must be
    chosen by admin on a server, or created in cooperative editing mode). A
    script like this could trivially read/write to any files which the user
    running the client has access to (it is executed when the client loads
    the map). (LP: #1034148)
    - Add debian/patches/security-text-command-fix.patch
      This patch stops "textedit" commands being able to be run in map-run
      scripts, thus disabling the ability to read/write to user files.

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Thu, 02 Aug 2012 15:01:30 +0200

redeclipse (1.2-2) unstable; urgency=low

  * debian/patches/backported-fix-icon-sizes.patch
    - Fix icon size and location, cherry-picked from upstream SVN
  * Standards-Version 3.9.3
    - Set final copyright Format: link
  * Instruct to use -h before -r in reportbug instrutions

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sun, 26 Feb 2012 00:20:12 +0100

redeclipse (1.2-1) unstable; urgency=low

  * Initial release (Closes: #626161)
  * debian/patches/:
    - windowed-by-default.patch: added
    - build-with-debug-symbols.patch: added
    - build-with-system-enet.patch: added

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Mon, 13 Feb 2012 14:48:41 +0100
