=== debian/control ===
Source: redeclipse
Section: contrib/games
Priority: optional
Uploaders: Martin Erik Werner <martinerikwerner@gmail.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8),
               imagemagick,
               libenet-dev,
               libgl1-mesa-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl1.2-dev,
               libx11-dev,
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.redeclipse.net
Vcs-Git: git://git.debian.org/pkg-games/redeclipse.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/redeclipse.git;a=summary

Package: redeclipse
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: redeclipse-data (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: single-player and multi-player first-person ego-shooter
 A single-player and multi-player first-person ego-shooter, built as a
 total conversion of Cube Engine 2, which lends itself toward a balanced
 gameplay, with a general theme of agility in a variety of environments.

Package: redeclipse-dbg
Section: contrib/debug
Priority: extra
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: redeclipse (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for the Red Eclipse FPS game
 This package contains the debugging symbols for the Red Eclipse FPS game.

Package: redeclipse-server
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: server for the Red Eclipse FPS game
 This package contains the dedicated server for the Red Eclipse FPS game, it
 also includes some example scripts for configuring the server. It contains no
 init integration.

Package: redeclipse-server-dbg
Section: contrib/debug
Priority: extra
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: redeclipse-server (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for the Red Eclipse dedicated server
 This package contains the debugging symbols for the dedicated server of the
 Red Eclipse FPS game.
