=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=src

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- client server icons

override_dh_strip:
	dh_strip -predeclipse --dbg-package=redeclipse-dbg
	dh_strip -predeclipse-server --dbg-package=redeclipse-server-dbg
	dh_strip

override_dh_auto_install:
	dh_auto_install -- prefix=/usr games=/games gamesbin=/games \
		system-install-client system-install-server \
		system-install-docs system-install-menus
	install -d debian/tmp/usr/share/pixmaps
	convert 'src/redeclipse.ico[1]' \
		debian/tmp/usr/share/pixmaps/redeclipse.xpm

override_dh_builddeb:
	dh_builddeb -- -Zxz

VER=$(shell dpkg-parsechangelog | sed -rne 's/^Version: ([^-]+).*/\1/p')
DIR=redeclipse-$(VER).orig
TAR=redeclipse_$(VER).orig.tar.bz2
get-orig-source:
	uscan --noconf --force-download --download-current-version --destdir=.
	rm -rf $(DIR)
	tar -xf $(TAR)
	rm -f $(TAR)
	mv redeclipse/ $(DIR)
	rm -rf $(DIR)/src/include/
	rm -rf $(DIR)/src/xcode/
	rm -rf $(DIR)/src/lib/
	rm -rf $(DIR)/src/install/win/
	rm -rf $(DIR)/bin/
	find $(DIR)/data/ -mindepth 1 -not -wholename "*examples*" -delete
	BZIP2="-9" tar -cj --owner root --group root --mode a+rX \
		-f $(TAR) $(DIR)
	rm -rf $(DIR)
