## redeclipse 1.3.1

=== debian/changelog ===
redeclipse (1.3.1-1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1046070)

 -- Micah Gersten <micahg@ubuntu.com>  Sat, 15 Sep 2012 23:33:12 -0500

redeclipse (1.3.1-1) experimental; urgency=low

  * New upstream release
  * XZ compression for orig tarball
  * No more icon conversion in build
    - Drop ImageMagick build-dependency
  * Dropped debian/patches/build-with-ldflags.patch, upstreamed
  * Add unversioned lib dependency alternatives
    - libgl1-mesa-dev | libgl-dev
    - libsdl1.2-dev | libsdl-dev
    - lib1g-dev | libz-dev
  * Enable hardening build flags
    - dh compat level 9
    - Removed build-with-debug-symbols.patch:
      Now handled in d/rules instead
  * Enable paralell build
  * debian/copyright now generated from upstream equivalent

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sat, 01 Sep 2012 21:11:34 +0200

redeclipse (1.2-3) unstable; urgency=high

  * Add debian/patches/security-text-command-fix.patch
    - File access security fix (Closes: #684143)

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Mon, 27 Feb 2012 13:53:19 +0100
