=== debian/control ===
--- 
+++ 
@@ -2,17 +2,15 @@
 Section: contrib/games
 Priority: optional
 Uploaders: Martin Erik Werner <martinerikwerner@gmail.com>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 8),
-               imagemagick,
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9),
                libenet-dev,
-               libgl1-mesa-dev,
+               liblg1-mesa-dev | libgl-dev,
                libsdl-image1.2-dev,
                libsdl-mixer1.2-dev,
-               libsdl1.2-dev,
+               libsdl1.2-dev | libsdl-dev,
                libx11-dev,
-               zlib1g-dev
+               zlib1g-dev | libz-dev
 Standards-Version: 3.9.3
 Homepage: http://www.redeclipse.net
 Vcs-Git: git://git.debian.org/pkg-games/redeclipse.git
@@ -24,10 +22,19 @@
 Depends: redeclipse-data (>= ${source:Upstream-Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Description: single-player and multi-player first-person ego-shooter
- A single-player and multi-player first-person ego-shooter, built as a
- total conversion of Cube Engine 2, which lends itself toward a balanced
- gameplay, with a general theme of agility in a variety of environments.
+Description: multiplayer FPS game based on Cube2
+ A single-player and multi-player first-person ego-shooter, built on Cube
+ Engine 2, which lends itself toward a balanced gameplay, completely at the
+ control of map makers, while maintaining a general theme of agility in a
+ variety of environments.
+ .
+ Features:
+  * Balanced gameplay, with a general theme of agility in a variety of
+    environments
+  * Parkour, impulse boosts, dashing, sliding, and other tricks
+  * Favourite gamemodes with tons of mutators and variables
+  * Available for Windows, Linux/BSD and Mac OSX
+  * Builtin editor lets you create your own maps cooperatively online
 
 Package: redeclipse-dbg
 Section: contrib/debug
