=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src --parallel

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		client server

override_dh_strip:
	dh_strip -predeclipse --dbg-package=redeclipse-dbg
	dh_strip -predeclipse-server --dbg-package=redeclipse-server-dbg

override_dh_auto_install:
	dh_auto_install -- \
		CXXFLAGS="$(CXXFLAGS)" \
		prefix=/usr games=/games gamesbin=/games \
		system-install-client system-install-server \
		system-install-docs system-install-menus

override_dh_compress:
	dh_compress --exclude=.cfg

override_dh_builddeb:
	dh_builddeb -- -Zxz

VER=$(shell dpkg-parsechangelog | sed -rne 's/^Version: ([^-]+).*/\1/p')
DIR=redeclipse-$(VER).orig
UTAR=redeclipse_$(VER).orig.tar.bz2
TAR=redeclipse_$(VER).orig.tar.xz
get-orig-source:
	uscan --noconf --force-download --download-current-version --destdir=.
	rm -rf $(DIR)
	tar -xf $(UTAR)
	rm -f $(UTAR)
	mv redeclipse/ $(DIR)
	rm -rf $(DIR)/src/include/
	rm -rf $(DIR)/src/xcode/
	rm -rf $(DIR)/src/lib/
	rm -rf $(DIR)/src/lib64/
	rm -rf $(DIR)/src/install/win/
	rm -rf $(DIR)/bin/
	rm -rf $(DIR)/bin64/
	rm -rf $(DIR)/data/
	XZ_OPT="-6" tar --create --xz --owner root --group root --mode a+rX \
		-f $(TAR) $(DIR)
	rm -rf $(DIR)
