## redeclipse 1.4

=== src/Makefile ===
APPNAME=redeclipse

all:

include redeclipse.mk

include core.mk
