=== debian/changelog ===
redeclipse (1.4-5) unstable; urgency=low

  * Standards-Version 3.9.5 (no changes)
  * Fix FTBFS on hurd-i386: missing link to rt (Closes: #712894)
    - Add debian/patches/gnu-link-rt.patch

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Tue, 17 Dec 2013 18:26:55 +0100

redeclipse (1.4-4) unstable; urgency=low

  * Fix FTBFS due to d/control typo lib{lg->gl}1-mesa-dev (Closes: #707028)
  * Standards-Version 3.9.4 (no changes)

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sat, 11 May 2013 11:53:10 +0200

redeclipse (1.4-3) unstable; urgency=low

  * Upload to unstable
  * Remove unused screenshot entries for Ubuntu

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sun, 05 May 2013 22:04:18 +0200

redeclipse (1.4-2) experimental; urgency=low

  * Fix broken server-only installs
    - Add upstream server install patch
    - Add upstream patch enabling the server to start without data

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Mon, 25 Mar 2013 21:18:33 +0100

redeclipse (1.4-1) experimental; urgency=low

  * New upstream release
  * Move server examples to /usr/share/games/doc/redeclipse/
  * Added screenshot URL for Ubuntu
  * Removed Enet from source package (unused)
  * Drop dpkg Pre-Depends (upgrades from old Ubuntu versions not relevant)
  * Include version.cfg in tarball, required for server

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Fri, 15 Feb 2013 00:30:48 +0100
