=== debian/control ===
--- 
+++ 
@@ -5,20 +5,19 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9),
                libenet-dev,
-               liblg1-mesa-dev | libgl-dev,
+               libgl1-mesa-dev | libgl-dev,
                libsdl-image1.2-dev,
                libsdl-mixer1.2-dev,
                libsdl1.2-dev | libsdl-dev,
                libx11-dev,
                zlib1g-dev | libz-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.redeclipse.net
-Vcs-Git: git://git.debian.org/pkg-games/redeclipse.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/redeclipse.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-games/redeclipse.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/redeclipse.git
 
 Package: redeclipse
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: redeclipse-data (>= ${source:Upstream-Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -40,14 +39,12 @@
 Section: contrib/debug
 Priority: extra
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: redeclipse (= ${binary:Version}), ${misc:Depends}
 Description: debug symbols for the Red Eclipse FPS game
  This package contains the debugging symbols for the Red Eclipse FPS game.
 
 Package: redeclipse-server
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: server for the Red Eclipse FPS game
  This package contains the dedicated server for the Red Eclipse FPS game, it
@@ -58,7 +55,6 @@
 Section: contrib/debug
 Priority: extra
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: redeclipse-server (= ${binary:Version}), ${misc:Depends}
 Description: debug symbols for the Red Eclipse dedicated server
  This package contains the debugging symbols for the dedicated server of the
