=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 %:
 	dh $@ --sourcedirectory=src --parallel
-
-override_dh_auto_clean:
-	dh_auto_clean
 
 override_dh_auto_build:
 	dh_auto_build -- \
@@ -23,6 +20,7 @@
 override_dh_auto_install:
 	dh_auto_install -- \
 		CXXFLAGS="$(CXXFLAGS)" \
+		ICON="" \
 		prefix=/usr games=/games gamesbin=/games \
 		system-install-client system-install-server \
 		system-install-docs system-install-menus
@@ -42,15 +40,16 @@
 	rm -rf $(DIR)
 	tar -xf $(UTAR)
 	rm -f $(UTAR)
-	mv redeclipse/ $(DIR)
+	mv redeclipse-$(VER)/ $(DIR)
 	rm -rf $(DIR)/src/include/
+	rm -rf $(DIR)/src/enet/
 	rm -rf $(DIR)/src/xcode/
 	rm -rf $(DIR)/src/lib/
-	rm -rf $(DIR)/src/lib64/
 	rm -rf $(DIR)/src/install/win/
 	rm -rf $(DIR)/bin/
-	rm -rf $(DIR)/bin64/
-	rm -rf $(DIR)/data/
+	rm -rf $(DIR)/data
+	find $(DIR)/game/ -not -type d -not -iname 'version.cfg' -delete
+	find $(DIR)/game/ -empty -delete
 	XZ_OPT="-6" tar --create --xz --owner root --group root --mode a+rX \
 		-f $(TAR) $(DIR)
 	rm -rf $(DIR)
