=== debian/watch ===
version=3
http://sf.net/redeclipse/redeclipse_([0-9\.]+)_(?:linux|nix)(?:_bsd)?.tar\.bz2
