=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --sourcedirectory=src --parallel

override_dh_auto_clean:
	$(MAKE) -C src/ clean-client clean-server
	rm -rf enet

override_dh_auto_build:
	mkdir -p enet/include
	dh_auto_build -- \
		CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS) -ffast-math" \
		LIBENET="" \
		client server

override_dh_strip:
	dh_strip -predeclipse --dbg-package=redeclipse-dbg
	dh_strip -predeclipse-server --dbg-package=redeclipse-server-dbg

override_dh_auto_install:
	$(MAKE) -C src/ \
		LIBENET="" \
		DESTDIR=$(CURDIR)/debian/tmp \
		prefix=/usr games=/games gamesbin=/games \
		system-install-client system-install-server \
		system-install-common system-install-docs system-install-menus

override_dh_install:
	dh_install -predeclipse
	dh_install -predeclipse-server
	dh_install -predeclipse-common --exclude=play.cfg

override_dh_compress:
	dh_compress --exclude=.cfg --exclude=guidelines.txt

override_dh_builddeb:
	dh_builddeb -- -Zxz

DIR=redeclipse-$(DEB_VERSION_UPSTREAM).orig
get-orig-source:
	uscan --noconf --rename --force-download --download-current-version --destdir=.
	rm -rf $(DIR)
	tar -xf redeclipse_$(DEB_VERSION_UPSTREAM).orig.tar.gz
	rm -f redeclipse_$(DEB_VERSION_UPSTREAM).orig.tar.gz
	mv base-$(DEB_VERSION_UPSTREAM)/ $(DIR)
	rm -rf $(DIR)/src/include/
	rm -rf $(DIR)/src/enet/
	rm -rf $(DIR)/src/xcode/
	rm -rf $(DIR)/src/lib/
	rm -rf $(DIR)/src/install/win/
	rm -rf $(DIR)/bin/
	rm -rf $(DIR)/data/
	rm -f $(DIR)/*.bat
	find $(DIR) -type f -iname '.git*' -delete
	XZ_OPT="-6" tar --create --xz --owner root --group root --mode a+rX \
		-f redeclipse_$(DEB_VERSION_UPSTREAM).orig.tar.xz $(DIR)
	rm -rf $(DIR)
